Description: upstream: workaround: __int128__ ill-fallback on 32bit arch
 Workaround for a compile time issue due to a ill-fallback by PCG of the
 __int128__ type as supported by GCC on 64bit arch
 (see src/pcg-cpp/include/pcg_uint128.hpp).
 However this patch is useless since the building fails at link time due
 to architecture limitations on 32bit arch.
 Meant to be submitted for the record to the upstream maintainer.
Origin: vendor, Debian
Forwarded: https://git.skewed.de/count0/graph-tool/-/merge_requests/68
Comment: for the record only
Author: Jerome Benoit <calculus@rezozer.net>
Last-Update: 2022-08-27

--- a/src/graph/random.hh
+++ b/src/graph/random.hh
@@ -20,8 +20,12 @@
 
 #include "pcg_random.hpp"
 
+#if __SIZEOF_INT128__ && !PCG_FORCE_EMULATED_128BIT_MATH
 //typedef std::mt19937_64 rng_t;
 typedef pcg64_k1024 rng_t;
+#else
+typedef pcg32_k1024 rng_t;
+#endif
 
 rng_t& get_rng();
 size_t get_rng_stream();
